cURL
curl --request POST "https://rxresu.me/api/openapi/career/facts/<id>/corrections" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"before": {
"text": "<string>",
"category": "<string>",
"applicationId": "<string>"
}
}'import requests
url = "https://rxresu.me/api/openapi/career/facts/{id}/corrections"
payload = {
"before": {
"text": "<string>",
"category": "<string>",
"applicationId": "<string>"
},
"text": "<string>",
"applicationId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
before: {text: '<string>', category: '<string>', applicationId: '<string>'},
text: '<string>',
applicationId: '<string>'
})
};
fetch('https://rxresu.me/api/openapi/career/facts/{id}/corrections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/facts/{id}/corrections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'before' => [
'text' => '<string>',
'category' => '<string>',
'applicationId' => '<string>'
],
'text' => '<string>',
'applicationId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/facts/{id}/corrections"
payload := strings.NewReader("{\n \"before\": {\n \"text\": \"<string>\",\n \"category\": \"<string>\",\n \"applicationId\": \"<string>\"\n },\n \"text\": \"<string>\",\n \"applicationId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/career/facts/{id}/corrections")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"before\": {\n \"text\": \"<string>\",\n \"category\": \"<string>\",\n \"applicationId\": \"<string>\"\n },\n \"text\": \"<string>\",\n \"applicationId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/facts/{id}/corrections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"before\": {\n \"text\": \"<string>\",\n \"category\": \"<string>\",\n \"applicationId\": \"<string>\"\n },\n \"text\": \"<string>\",\n \"applicationId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
Atomically correct a fact's text, type or scope
Requires the reviewed text, category and scope. Rejects changed or forgotten facts and unavailable application scopes without saving any correction.
POST
/
career
/
facts
/
{id}
/
corrections
cURL
curl --request POST "https://rxresu.me/api/openapi/career/facts/<id>/corrections" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"before": {
"text": "<string>",
"category": "<string>",
"applicationId": "<string>"
}
}'import requests
url = "https://rxresu.me/api/openapi/career/facts/{id}/corrections"
payload = {
"before": {
"text": "<string>",
"category": "<string>",
"applicationId": "<string>"
},
"text": "<string>",
"applicationId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
before: {text: '<string>', category: '<string>', applicationId: '<string>'},
text: '<string>',
applicationId: '<string>'
})
};
fetch('https://rxresu.me/api/openapi/career/facts/{id}/corrections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/facts/{id}/corrections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'before' => [
'text' => '<string>',
'category' => '<string>',
'applicationId' => '<string>'
],
'text' => '<string>',
'applicationId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/facts/{id}/corrections"
payload := strings.NewReader("{\n \"before\": {\n \"text\": \"<string>\",\n \"category\": \"<string>\",\n \"applicationId\": \"<string>\"\n },\n \"text\": \"<string>\",\n \"applicationId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/career/facts/{id}/corrections")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"before\": {\n \"text\": \"<string>\",\n \"category\": \"<string>\",\n \"applicationId\": \"<string>\"\n },\n \"text\": \"<string>\",\n \"applicationId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/facts/{id}/corrections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"before\": {\n \"text\": \"<string>\",\n \"category\": \"<string>\",\n \"applicationId\": \"<string>\"\n },\n \"text\": \"<string>\",\n \"applicationId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Path Parameters
Minimum string length:
1Body
application/json
Response
OK